=== debian/changelog ===
ros-lunar-gps-common (0.2.0-0xenial) xenial; urgency=high

  * fix xml comments
  * add install instructions and documentation
  * add node for translating between NavSatFix and GPSFix
  * Contributors: Andre Volk, P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 16 Nov 2017 00:00:00 -0000

ros-lunar-gps-common (0.1.9-0xenial) xenial; urgency=high

  * removed unused variables
  * Contributors: Frank Hoeller

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 08 May 2017 00:00:00 -0000

ros-lunar-gps-common (0.1.8-0xenial) xenial; urgency=high

  * Fixing orientation in UTM odometry message
    Before the fix, the orientation in the odometry message was set to x = 1, y = 0, z = 0, w = 0. This corresponds to Euler angles of roll = pi, pitch = 0, yaw = 0. I believe the intent was for the orientation to be the identity, which is x = 0, y = 0, z = 0, w = 1.
  * Contributors: Tom Moore

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 31 Oct 2016 00:00:00 -0000
