=== debian/control ===
Source: ros-lunar-gps-common
Section: misc
Priority: extra
Maintainer: Timo Roehling <timo.roehling@fkie.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-filters, ros-lunar-message-generation, ros-lunar-nav-msgs, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Homepage: http://ros.org/wiki/gps_common
Standards-Version: 3.9.2

Package: ros-lunar-gps-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-filters, ros-lunar-message-runtime, ros-lunar-nav-msgs, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Description: GPS messages and common routines for use in GPS drivers
